---
title: ':picture-in-picture'
slug: 'Web/CSS/:picture-in-picture'
tags:
  - CSS
  - Picture-in-Picture
  - Picture-in-Picture API
  - Pseudo-class
  - Reference
  - Selector
  - Video
  - pip
---
<div>{{CSSRef}}</div>

<p><span class="seoSummary">The <strong><code>:picture-in-picture</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Pseudo-classes">pseudo-class</a> matches the element which is currently in picture-in-picture mode.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Usage_notes">Usage notes</h2>

<p>The <code>:picture-in-picture</code> pseudo-class lets you configure your stylesheets to automatically adjust the size, style, or layout of content when a video switches back and forth between picture-in-picture and traditional presentation modes.</p>

<h2 id="Examples">Examples</h2>

<p>In this example, a video has a box shadow when it is displayed in the floating window.</p>

<h3 id="HTML">HTML</h3>

<p>The page's HTML looks like this:</p>

<pre class="brush: html notranslate">&lt;h1&gt;MDN Web Docs Demo: :picture-in-picture pseudo-class&lt;/h1&gt;

&lt;p&gt;This demo uses the &lt;code&gt;:picture-in-picture&lt;/code&gt; pseudo-class to automatically
  change the style of a video entirely using CSS.&lt;/p&gt;

&lt;video id="pip-video"&gt;&lt;/video&gt;</pre>

<p>The {{HTMLElement("video")}} with the ID <code>"pip-video"</code> will change between having a red box shadow or not, depending on whether or not it is displayed in the picture-in-picture floating window.</p>

<h3 id="CSS">CSS</h3>

<p>The magic happens in the CSS.</p>

<pre class="brush: css notranslate">:picture-in-picture {
  box-shadow: 0 0 0 5px red;
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('Picture-in-Picture', '#:picture-in-picture-pseudo-class', ':picture-in-picture')}}</td>
   <td>{{Spec2('Picture-in-Picture')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.selectors.picture-in-picture")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Picture-in-Picture_API">Picture-in-picture API</a></li>
 <li>{{DOMxRef("HTMLVideoElement.requestPictureInPicture()")}}</li>
 <li>{{DOMxRef("HTMLVideoElement.autoPictureInPicture")}}</li>
 <li>{{DOMxRef("HTMLVideoElement.disablePictureInPicture")}}</li>
 <li>{{DOMxRef("Document.pictureInPictureEnabled")}}</li>
 <li>{{DOMxRef("Document.exitPictureInPicture()")}}</li>
 <li>{{DOMxRef("DocumentOrShadowRoot.pictureInPictureElement")}}</li>
</ul>
